C3DImageRegister Class Reference

`#include <mia/3d/register.hh>`

## Public Member Functions

| C3DImageRegister (size_t start_size, C3DImageCost &cost, size_t max_iter, C3DRegModel &model, C3DRegTimeStep &time_step, const C3DInterpolatorFactory &ipf, float outer_epsilon, bool save_steps)
P3DFVectorfield | operator() (const C3DImage &source, const C3DImage &reference)

## Detailed Description

Definition at line 46 of file 3d/register.hh.

## Constructor & Destructor Documentation

## C3DImageRegister()

C3DImageRegister::C3DImageRegister | ( | size_t | start_size,
|  | C3DImageCost & | cost,
|  | size_t | max_iter,
|  | C3DRegModel & | model,
|  | C3DRegTimeStep & | time_step,
|  | const C3DInterpolatorFactory & | ipf,
|  | float | outer_epsilon,
|  | bool | save_steps )

The constructor:

Parameters

  start_size | an approximate size for the lowest resolution in the multi-resolution registration
  cost | an image similarity measure with an according gradient function
  max_iter | maximum number of times steps to be used at each multi-grid level
  model | the registration model (e.g.- navier for linear elasticity operator)
  time_step | the time step model (e.g. fluid to letthe model operator work on the velocity field instead of the deformation field)
  ipf | an interpolator factory for image interpolation
  outer_epsilon | a relative cost function value per multi-grid level to stop registration
  save_steps | save the deformed source image for each registration step

## Member Function Documentation

## operator()()

P3DFVectorfield C3DImageRegister::operator() | ( | const C3DImage & | source,
|  | const C3DImage & | reference )

The registration operator that does the registration

Parameters

  source | the source or template image to be registered to the ...
  reference |

Returns
  a vector field describing the registration

References P3DFVectorfield.

The documentation for this class was generated from the following file:

- 3d/register.hh